      SUBROUTINE UPCASE(KEYWRD)
      character*80 KEYWRD
      include 'MOP6FILE'
      ICAPA=ICHAR('A')
      ILOWA=ICHAR('a')
      ILOWZ=ICHAR('z')
      do 10 I=1,80
         ILINE=ICHAR(KEYWRD(I:I))
         if (ILINE.GE.ILOWA.AND.ILINE.LE.ILOWZ) then
            KEYWRD(I:I)=CHAR(ILINE+ICAPA-ILOWA)
         end if
   10 continue
      return
      end
